## org.apache.mahout.common
Class Parameters

    java.lang.Object
      org.apache.mahout.common.Parameters

    public class Parameters

extends Object

Constructor Summary
`` `Parameters()`
`protected` `Parameters(Map<String,String> params)`
`` `Parameters(String serializedString)`

Method Summary
`String` `get(String key)`
`String` `get(String key, String defaultValue)`
`int` `getInt(String key, int defaultValue)`
`static Map<String,String>` `parseParams(String serializedString)`
`String` `print()`
`void` `set(String key, String value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameters

    public Parameters()

### Parameters

    public Parameters(String serializedString)
               throws IOException

Throws:
  `IOException`

### Parameters

    protected Parameters(Map<String,String> params)

Method Detail

### get

    public String get(String key)

### get

    public String get(String key,
                      String defaultValue)

### set

    public void set(String key,
                    String value)

### getInt

    public int getInt(String key,
                      int defaultValue)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### print

    public String print()

### parseParams

    public static Map<String,String> parseParams(String serializedString)
                                          throws IOException

  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.